Skip to content

organization_member_share-product

Grants an organization member explicit access to a product

Tool

organization_member_share-product

Grants an organization member explicit access to a product

Grants an organization member explicit access to a product

Behavior

HTTP
POST /governance/api/v1/organizations/:organizationId/members/:userId/products

Arguments

Name
Type
Required
Description
role
string
—
No description in the catalog.
roleId
string
—
No description in the catalog.
userId
string
•
No description in the catalog.
expiresAt
string
—
No description in the catalog.
productId
string
•
No description in the catalog.
permissions
object
—
No description in the catalog.
organizationId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
role
string
•
userId
string
•
expiresAt
string
•
productId
string
•

Try it

Grants an organization member explicit access to a product.

When to use

Grants an organization member explicit access to a product

Example

Ask your agent something like this:

Grants an organization member explicit access to a product.

The agent will invoke organization_member_share-product with these arguments:

{
  "userId": "<userId>",
  "productId": "<productId>",
  "organizationId": "<organizationId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select